---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.5
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Просмотреть логи триггера
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/queues/view-trigger-logs.md
  - https://yandex.ru/support/tracker/ru/api-ref/queues/view-trigger-logs.md
  - href: en/api-ref/queues/view-trigger-logs.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Viewing trigger logs

Use this request to get [HTTP request](https://yandex.ru/support/tracker/en/user/set-action.md#create-http) action logs for the specified trigger.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/queues/&lt;queue_key>/triggers/&lt;trigger_ID>/webhooks/log</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

{% note info %}

By default, the request returns only the last 10 log entries. To get more entries, use the [limit](#limit) parameter.

{% endnote %}


## Request format {#query}

Before sending a request, [get permission to access the API](https://yandex.ru/support/tracker/en/api-ref/access.md).

To get the logs, use an HTTP `GET` request:

```json translate=no
GET /v3/queues/<queue_key>/triggers/<trigger_ID>/webhooks/log
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<queue_key> | Queue ID or key. The queue key is case-sensitive. | String or number. |
| \<trigger_ID> | Trigger ID | String |

{% endcut %}

{% cut "Request parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| issueId | ID of the issue where the trigger was activated. | String |
| limit {#limit} | Number of log entries in the response. The default value is 10. The maximum value is 100. Example: `limit=100` | Number |
| from | Start of the log filter time range in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | String |
| to | End of the log filter time range in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | String |

{% endcut %}

> Example 1: Getting the last 100 log entries for a specific issue
> - An HTTP GET method is used.
> - A request is sent for a trigger from the `DEV` queue.
> - The trigger ID is 6.
> - The issue ID is `DEV-123`. The response will only contain logs linked to this issue.
> - Set the maximum number of log entries in the response.
> ```json translate=no
> GET /v3/queues/DEV/triggers/6/webhooks/log?issueId=DEV-123&limit=100
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
> ```

> Example 2: Getting log entries over a certain period
> - An HTTP GET method is used.
> - A request is sent for a trigger from the `DEV` queue.
> - The trigger ID is 6.
> - Set the time range: September 23, 2025, from 00:00 to 23:59.
> ```json translate=no
> GET /v3/queues/DEV/triggers/6/webhooks/log?from=2025-09-23T00:00:00&to=2025-09-23T23:59:59
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/api-ref/_includes/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/api-ref/_includes/answer-200.md -->

    The response body contains the results in JSON format.

    ```json translate=no
    [
        {
            "startTime": "2025-02-25T14:22:03.596+0000",
            "endTime": "2025-02-25T14:22:03.831+0000",
            "duration": 235,
            "triggerId": 123***,
            "actionId": 1,
            "issueId": "66f682f13f442b**********",
            "request": {
                "method": "POST",
                "endpoint": "https://api.telegram.org/bot123*******:AAHCATQsN**********/sendMessage",
                "headers": {
                    "X-Startrek-Transport": "vNCc******/aRh5**********",
                    "Content-Type": "PSb4IkZm+OemrDmVvPX0h4uFOP8sKid9vp**********"
                },
                "body": "{\n\"chat_id\":\"-4116*****\",\n\"parse_mode\":\"markdown\",\n\"text\":\"Hello!\"\n}",
                "webhookAuthContext": {
                    "type": "noauth"
                }
            },
            "response": {
                "headers": {
                    "Access-Control-Expose-Headers": "XXX",
                    "Strict-Transport-Security": "XXX",
                    "Server": "XXX",
                    "Access-Control-Allow-Origin": "XXX",
                    "Access-Control-Allow-Methods": "XXX",
                    "X-Ya-Instance": "XXX",
                    "Connection": "XXX",
                    "Content-Length": "XXX",
                    "Date": "XXX",
                    "Content-Type": "XXX"
                },
                "statusCode": 200
            },
            "id": "67bdd20b604a9c**********"
        }
    ]
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | startTime | Trigger activation start time in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | String |
    | endTime | Trigger activation end time in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | String |
    | duration | Trigger activation duration in milliseconds. | Number |
    | triggerId | Trigger ID | Number |
    | actionId | Trigger action ID. | Number |
    | issueId | ID of the issue where the trigger was activated. | String |
    | [request](#request) | Object with information about the parameters of the sent HTTP request. | Object |
    | [response](#response) | Object with information about the parameters of the received response. | Object |
    | id | Trigger activation ID. | String |

    **request** `object fields` {#request}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | method | HTTP request method. | String |
    | endpoint | URL of the resource where the HTTP request was sent to. | String |
    | headers | HTTP request headers. | Object |
    | body | HTTP request body. | String |
    | [webhookAuthContext](#webhookAuthContext) | Object with information about the request authorization method. | Object |

    `webhookAuthContext` **object fields** {#webhookAuthContext}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | type | Authorization method. | String |

    **response** `object fields` {#response}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | headers | Response headers. | Object |
    | statusCode | HTTP request status code. | Number |

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/api-ref/_includes/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/api-ref/_includes/answer-error-400.md -->

    <!-- source: en/api-ref/_includes/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.ru/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/api-ref/_includes/answer-error-401.md -->

    <!-- source: en/api-ref/_includes/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/api-ref/_includes/answer-error-403.md -->

{% endlist %}
